import { http } from "./httpClient";

import { AgentInfoSetting, UserSetting } from "~/shared/models/account.model";

class AccountSettingService{

  //取得使用者帳號資訊
  async getUserAccountSetting() : Promise<UserSetting> {
    return http.get<UserSetting>('/customer/info').then(res => res.data);
  }
  //更新使用者帳號資訊
  async updateAccountSetting(params: any) : Promise<any> {
    return http.put('/customer/info', params ).then(res => res.data);
  }

  //編輯顧問帳號資訊
  async editAgentInfoSetting(params:any):  Promise<AgentInfoSetting>{
    return http.post('/consultant/edit',params).then(res => res.data);
  }

}
export default new AccountSettingService();
